Subject: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Aug 2024 21:52:12 +0300

> Date: Sun, 18 Aug 2024 18:11:47 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> >> > Yes, but free_realized_faces calls free_realized_face, no?
> >>
> >> Yes, it does, but in my case, 'free_realized_face' is called by
> >> 'realize_face', and 'free_realized_faces' isn't.
> >
> > Which face was freed, the ASCII face or not?
> 
> The ASCII face was freed, the non-ASCII face remained in the cache. In
> the log below, the ASCII face is 0x117cca0, the non-ASCII face is
> 0x2a7a3c0.

What are the other faces, 0x2a62860 and 0x2fb0dc0?

> >> I'll continue debugging this, but if there are any questions or further
> >> helpful information, that would be much appreciated.
> >
> > I don't yet understand well what you are seeing because there isn't
> > enough detailed information.
> 
> Okay, maybe this helps.

Thanks, it helps some.

> lisp.h:2126: Emacs fatal error: assertion failed: CHAR_TABLE_P (a)
> Fatal error 6: Aborted
> Backtrace:
> ./emacs() [0x60f113]
> ./emacs() [0x5da076]

Can you show this backtrace from GDB, preferably "bt all"?  I'm not
sure I understand the reason just by looking at this.